from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRegressionCurve(XInterface, Protocol):
    def getCalculator(self) -> XRegressionCurveCalculator: ...
    def getEquationProperties(self) -> XPropertySet: ...
    def setEquationProperties(self, xEquationProperties: XPropertySet) -> None: ...
